ID CVE-2014-5208
Summary BKBCopyD.exe in the Batch Management Packages in Yokogawa CENTUM CS 3000 through R3.09.50 and CENTUM VP through R4.03.00 and R5.x through R5.04.00, and Exaopc through R3.72.10, does not require authentication, which allows remote attackers to read arbitrary files via a RETR operation, write to arbitrary files via a STOR operation, or obtain sensitive database-location information via a PMODE operation, a different vulnerability than CVE-2014-0784.
References
Vulnerable Configurations
  • Yokogawa Exaopc 3.71.10
    cpe:2.3:a:yokogawa:exaopc:3.71.10
  • Yokogawa Exaopc
    cpe:2.3:h:yokogawa:exaopc
  • Yokogawa CENTUM CS 3000 R3.09.50
    cpe:2.3:a:yokogawa:centum_cs_3000:r3.09.50
  • Yokogawa CENTUM CS 3000 R3.09
    cpe:2.3:a:yokogawa:centum_cs_3000:r3.09
  • Yokogawa CENTUM CS 3000 R3.08.70
    cpe:2.3:a:yokogawa:centum_cs_3000:r3.08.70
  • Yokogawa CENTUM CS 3000 R3.08.50
    cpe:2.3:a:yokogawa:centum_cs_3000:r3.08.50
  • Yokogawa CENTUM CS 3000 R3.08
    cpe:2.3:a:yokogawa:centum_cs_3000:r3.08
  • Yokogawa CENTUM CS 3000 R3.07
    cpe:2.3:a:yokogawa:centum_cs_3000:r3.07
  • Yokogawa CENTUM CS 3000 R3.06
    cpe:2.3:a:yokogawa:centum_cs_3000:r3.06
  • Yokogawa CENTUM CS 3000 R3.05
    cpe:2.3:a:yokogawa:centum_cs_3000:r3.05
  • Yokogawa CENTUM CS 3000 R3.04
    cpe:2.3:a:yokogawa:centum_cs_3000:r3.04
  • Yokogawa CENTUM CS 3000 R3.03
    cpe:2.3:a:yokogawa:centum_cs_3000:r3.03
  • Yokogawa CENTUM CS 3000 R3.02
    cpe:2.3:a:yokogawa:centum_cs_3000:r3.02
  • Yokogawa CENTUM CS 3000 R3.01
    cpe:2.3:a:yokogawa:centum_cs_3000:r3.01
  • Yokogawa Centum CS 3000
    cpe:2.3:h:yokogawa:centum_cs_3000
  • Yokogawa Centum VP R4.03.00
    cpe:2.3:a:yokogawa:centum_vp:r4.03.00
  • Yokogawa Centum VP R5.01.00
    cpe:2.3:a:yokogawa:centum_vp:r5.01.00
  • Yokogawa Centum VP R5.01.20
    cpe:2.3:a:yokogawa:centum_vp:r5.01.20
  • Yokogawa Centum VP R5.02.00
    cpe:2.3:a:yokogawa:centum_vp:r5.02.00
  • Yokogawa Centum VP R5.03.00
    cpe:2.3:a:yokogawa:centum_vp:r5.03.00
  • Yokogawa Centum VP
    cpe:2.3:h:yokogawa:centum_vp
CVSS
Base: 7.5 (as of 22-12-2014 - 14:19)
Impact:
Exploitability:
CWE CWE-284
CAPEC
  • Embedding Scripts within Scripts
    An attack of this type exploits a programs' vulnerabilities that are brought on by allowing remote hosts to execute scripts. The attacker leverages this capability to execute scripts to execute his/her own script by embedding it within other scripts that the target software is likely to execute. The attacker must have the ability to inject script into script that is likely to be executed. If this is done, then the attacker can potentially launch a variety of probes and attacks against the web server's local environment, in many cases the so-called DMZ, back end resources the web server can communicate with, and other hosts. With the proliferation of intermediaries, such as Web App Firewalls, network devices, and even printers having JVMs and Web servers, there are many locales where an attacker can inject malicious scripts. Since this attack pattern defines scripts within scripts, there are likely privileges to execute said attack on the host. Of course, these attacks are not solely limited to the server side, client side scripts like Ajax and client side JavaScript can contain malicious scripts as well. In general all that is required is for there to be sufficient privileges to execute a script, but not protected against writing.
  • Signature Spoofing by Key Theft
    An attacker obtains an authoritative or reputable signer's private signature key by theft and then uses this key to forge signatures from the original signer to mislead a victim into performing actions that benefit the attacker.
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
metasploit via4
description This module allows an unauthenticated user to interact with the Yokogawa CENTUM CS3000 BKBCopyD.exe service through the PMODE, RETR and STOR operations.
id MSF:AUXILIARY/ADMIN/SCADA/YOKOGAWA_BKBCOPYD_CLIENT
last seen 2019-02-16
modified 2018-12-11
published 2014-08-09
reliability Normal
reporter Rapid7
source https://github.com/rapid7/metasploit-framework/blob/master/modules/auxiliary/admin/scada/yokogawa_bkbcopyd_client.rb
title Yokogawa BKBCopyD.exe Client
refmap via4
confirm http://www.yokogawa.com/dcs/security/ysar/YSAR-14-0003E.pdf
misc
Last major update 22-12-2014 - 14:27
Published 22-12-2014 - 12:59
Back to Top